package co.yixiang.yshop.module.member.convert.userlevelequityref;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.member.controller.admin.userlevelequityref.vo.*;
import co.yixiang.yshop.module.member.dal.dataobject.userlevelequityref.UserLevelEquityRefDO;

/**
 * 会员等级权益中间 Convert
 *
 * @author admin
 */
@Mapper
public interface UserLevelEquityRefConvert {

    UserLevelEquityRefConvert INSTANCE = Mappers.getMapper(UserLevelEquityRefConvert.class);

    UserLevelEquityRefDO convert(UserLevelEquityRefCreateReqVO bean);

    UserLevelEquityRefDO convert(UserLevelEquityRefUpdateReqVO bean);

    UserLevelEquityRefRespVO convert(UserLevelEquityRefDO bean);

    List<UserLevelEquityRefRespVO> convertList(List<UserLevelEquityRefDO> list);

    PageResult<UserLevelEquityRefRespVO> convertPage(PageResult<UserLevelEquityRefDO> page);

    List<UserLevelEquityRefExcelVO> convertList02(List<UserLevelEquityRefDO> list);

}
